keybound(3X)

NAME
keybound - get definition of curses keycode

SYNOPSIS
#include <curses.h>

char * keybound(int keycode, int count);

DESCRIPTION
This is an extension to the curses library. It permits an application to determine the string which is defined in the terminfo for specific keycodes.

RETURN VALUE
The keycode parameter must be greater than zero, else NULL is returned. If it does not correspond to a defined key, then NULL is returned. The count parameter is used to allow the application to iterate through multiple definitions, counting from zero. When successful, the function returns a string which must be freed by the caller.

PORTABILITY
This routine is specific to ncurses. It was not supported on Version 7, BSD or System V implementations. It is recommended that any code depending on them be conditioned using NCURSES_VERSION.

AUTHORS
Thomas Dickey

SEE ALSO
define_key(3X), keyok(3X)